## org.opengis.geometry.coordinate
Interface Circle

All Superinterfaces:
  Arc, ArcString, CurveSegment, GenericCurve

    @UML(identifier="GM_Circle",
         specification=ISO_19107)
    public interface Circle

extends Arc

Same as an arc, but closed to form a full circle. The start and end bearing are equal and shall be the bearing for the first control point listed. This still requires at least 3 distinct non-co-linear points to be unambiguously defined. The arc is simply extended until the first point is encountered.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface Arc
`getCenter, getEndAngle, getRadius, getStartAngle`

Methods inherited from interface ArcString
`asArcs, getControlPoints, getInterpolation, getNumArc`

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.